function[A, data, phaseplot]=SupplementaryFig8comp(Time,rt,Ca0,Nd0,La0,Tg0,Tr0,STI0,Ndin,Lain,Cain)
% This function  glues "compsqeq.m" and "compdeq.m" and delivers the data

    Kcg1=40; %Tg + Ca = CaTg
    Kcg2=6300; %Tg + Ca = TgCa
    Kng1=8000; %Tg + Nd = NdTg
    Kng2=110000; %Tg + Nd = TgNd
    Klg2=750000; %Tg + La = TgLa
    Kcr=120; %Tr + Ca = TrCa
    Knr=12000; %Tr + Nd = TrNd
    Klr=750; %Tr + La = TrLa
    Ksti=10^9; %Tr + STI = TrSTI
    %L/mol
% These are the equilibrium constants for complexation of species (see S.Table 1)

    kc=20; % _Tg_ + TrCa = _Tg_ + TrCa
    kn=180; % _Tg_ + TrNd = _Tg_ + TrNd
    kl=400; % _Tg_ + TrLa = _Tg_ + TrLa
    %(L/(mol*s))
    kf=60/(rt*3600);
    % 1/s

% These are the kinetic constants for the rate of reactions (see S.Table 1)
    
    Ca0=Ca0/1000;
    Nd0=Nd0/1000;
    La0=La0/1000;
    Tg0=Tg0/1000;
    Tr0=Tr0/1000;
    STI0=STI0/1000;
% Translate mM into M
    Ndin=Ndin./1000;
	Cain=Cain./1000;
    Lain=Lain./1000;
% Translate mM into M
    rowsA=Time;
    columnsA=27*length(Ndin);
    A=zeros(rowsA,columnsA);
    data=zeros(rowsA,columnsA/27);
    phaseplot=zeros(length(Lain),length(Ndin)); % choose Lain or Cain, or both

for l=1:length(Lain) % choose Lain or Cain, or both

    for j=1:length(Ndin)
        
        Casum=Ca0;
        Ndsum=Ndin(j);
        Lasum=La0;
        Tgsum=Tg0;
        Trsum=Tr0;
        STIsum=STI0;

        for a=1:rowsA
% This cycle allows for sequential computation of concentrations 
% of complexes and their development according to reaction course

        [eqdata]=SupplementaryFig8compsqeq(Kcg1,Kcg2,Kng1,Kng2,Klg2,Kcr,Knr,Klr,Ksti,Casum,Ndsum,Lasum,Tgsum,Trsum,STIsum);
        
        col_range = (l-1)*27*length(Ndin) + (j - 1) * 27 + (1:27);
        A(a, col_range) = eqdata';
        
        Tgpas=eqdata(12)+eqdata(14)+eqdata(16)+eqdata(17);
        Trpas=eqdata(4)+eqdata(21);
        Tgact=Tgsum-Tgpas;
% Here we calculate the distribution of ions between various complexes of Tr and Tg

        [Casum,Ndsum,Lasum,STIsum,Tgpas,Trpas,Tgact,TrCa,TrNd,TrLa]=...
            SupplementaryFig8compdeq(kf,kc,kn,kl,Casum,Ndsum,Lasum,STIsum,Tgpas,Trpas,Tgact,eqdata(13),eqdata(18),eqdata(20),Ca0,Ndin(j),Lain(l),Tg0,Tr0,STI0);
% choose Lain(l) or Cain(l), otherwise La0 or Ca0
        Tgsum=Tgact+Tgpas;
        Trsum=Trpas+TrCa+TrNd+TrLa;
% Here we simulate reaction for 1 second by a set of ODE's  

        end
        datacolumn = (l-1)*27*length(Ndin) + (j - 1) * 27 + 26;        
        data(:,j) = A(:,datacolumn);
    end
    phaseplot(l,:)=data(end,:);
end